Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.worklist.api
Enum WorkingState.Type

    java.lang.Object
      java.lang.Enum<WorkingState.Type>
          com.bea.wli.worklist.api.WorkingState.Type

All Implemented Interfaces:
  Serializable, Comparable<WorkingState.Type>

Enclosing class:
  WorkingState

    public static enum WorkingState.Type

extends Enum<WorkingState.Type>

Enum Constant Summary
`ASSIGNED`
`CLAIMED`
`UNASSIGNED`

Method Summary
`String` | `toString()`
`static WorkingState.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WorkingState.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNASSIGNED

    public static final WorkingState.Type UNASSIGNED

### ASSIGNED

    public static final WorkingState.Type ASSIGNED

### CLAIMED

    public static final WorkingState.Type CLAIMED

Method Detail

### values

    public static final WorkingState.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(WorkingState.Type c : WorkingState.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static WorkingState.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<WorkingState.Type>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD